Package org.eclipse.emf.cdo.compare

# Class CDOCompare.CDOFeatureFilter

java.lang.Object
org.eclipse.emf.compare.diff.FeatureFilter
org.eclipse.emf.cdo.compare.CDOCompare.CDOFeatureFilter

Enclosing class:
  `CDOCompare`

public static class CDOCompare.CDOFeatureFilter extends org.eclipse.emf.compare.diff.FeatureFilter
A CDO-specific `feature filter` that uses `EMFUtil.isPersistent()` to determine whether a `feature` is `transient`, or not.

Since:
  4.5
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CDOFeatureFilter()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isIgnoredAttribute(EAttribute attribute)`
TODO Remove this copied method when EMFCompare bug 570625 is resolved and released.
`protected boolean`
`isTransient(EStructuralFeature feature)`

### Methods inherited from class org.eclipse.emf.compare.diff.FeatureFilter

`checkForOrderingChanges, getAttributesToCheck, getReferencesToCheck, isIgnoredReference, referenceIsSet`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOFeatureFilter

public CDOFeatureFilter()

## Method Details

### isIgnoredAttribute

protected boolean isIgnoredAttribute(EAttribute attribute)
TODO Remove this copied method when EMFCompare bug 570625 is resolved and released.

Overrides:
  `isIgnoredAttribute` in class `org.eclipse.emf.compare.diff.FeatureFilter`

### isTransient

protected boolean isTransient(EStructuralFeature feature)

Overrides:
  `isTransient` in class `org.eclipse.emf.compare.diff.FeatureFilter`
Since:
  4.5